public inbox for linux-kernel@vger.kernel.org
 help / color / mirror / Atom feed
* [PATCH 1/3] selftests/ftrace: multiple_kprobes: Also check for support
@ 2017-09-08 12:01 Thomas Meyer
  2017-09-08 12:01 ` [PATCH 2/3] selftests/intel_pstate: No need to compile test progs in the run script Thomas Meyer
                   ` (2 more replies)
  0 siblings, 3 replies; 10+ messages in thread
From: Thomas Meyer @ 2017-09-08 12:01 UTC (permalink / raw)
  To: linux-kernel, linux-kselftest, shuah; +Cc: Thomas Meyer

The multiple_kprobes test case fails to check for KPROBE_EVENT support.
Add the check to prevent a false test result.

Signed-off-by: Thomas Meyer <thomas@m3y3r.de>
---
 tools/testing/selftests/ftrace/test.d/kprobe/multiple_kprobes.tc | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/tools/testing/selftests/ftrace/test.d/kprobe/multiple_kprobes.tc b/tools/testing/selftests/ftrace/test.d/kprobe/multiple_kprobes.tc
index 2a1cb9908746..a4fd4c851a5b 100644
--- a/tools/testing/selftests/ftrace/test.d/kprobe/multiple_kprobes.tc
+++ b/tools/testing/selftests/ftrace/test.d/kprobe/multiple_kprobes.tc
@@ -1,6 +1,8 @@
 #!/bin/sh
 # description: Register/unregister many kprobe events
 
+[ -f kprobe_events ] || exit_unsupported # this is configurable
+
 # ftrace fentry skip size depends on the machine architecture.
 # Currently HAVE_KPROBES_ON_FTRACE defined on x86 and powerpc64le
 case `uname -m` in
-- 
2.11.0

^ permalink raw reply related	[flat|nested] 10+ messages in thread

end of thread, other threads:[~2017-09-19 14:47 UTC | newest]

Thread overview: 10+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-09-08 12:01 [PATCH 1/3] selftests/ftrace: multiple_kprobes: Also check for support Thomas Meyer
2017-09-08 12:01 ` [PATCH 2/3] selftests/intel_pstate: No need to compile test progs in the run script Thomas Meyer
2017-09-14 14:59   ` Shuah Khan
2017-09-08 12:01 ` [PATCH 3/3] selftests/net: msg_zerocopy enable build with older kernel headers Thomas Meyer
2017-09-14 14:58 ` [PATCH 1/3] selftests/ftrace: multiple_kprobes: Also check for support Shuah Khan
2017-09-14 15:15   ` Masami Hiramatsu
2017-09-15 19:10     ` Steven Rostedt
2017-09-18 15:18     ` Steven Rostedt
2017-09-18 15:19       ` Shuah Khan
2017-09-19 14:47         ` Shuah Khan

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox